
From: "Randy.Dunlap" <rddunlap@osdl.org>

oss/cs4281: fix initdata section references:

Error: ./sound/oss/cs4281/cs4281.o .text refers to 0000000000006dae R_X86_64_32S      .init.data+0x0000000000000004
Error: ./sound/oss/cs4281/cs4281.o .text refers to 0000000000006db6 R_X86_64_32S      .init.data
Error: ./sound/oss/cs4281/cs4281m.o .text refers to 0000000000006dae R_X86_64_32S      .init.data+0x0000000000000004
Error: ./sound/oss/cs4281/cs4281m.o .text refers to 0000000000006db6 R_X86_64_32S      .init.data

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/oss/cs4281/cs4281m.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN sound/oss/cs4281/cs4281m.c~oss-cs4281-fix-initdata-section-references sound/oss/cs4281/cs4281m.c
--- 25/sound/oss/cs4281/cs4281m.c~oss-cs4281-fix-initdata-section-references	2005-03-07 20:41:44.000000000 -0800
+++ 25-akpm/sound/oss/cs4281/cs4281m.c	2005-03-07 20:41:44.000000000 -0800
@@ -4096,7 +4096,7 @@ static /*const */ struct file_operations
 static struct initvol {
 	int mixch;
 	int vol;
-} initvol[] __initdata = {
+} initvol[] __devinitdata = {
 
 	{
 	SOUND_MIXER_WRITE_VOLUME, 0x4040}, {
_
